/*
 ****************************************************************************
 *
 *  (c) Copyright 2013 BOE IDM. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of BOE IDM. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from BOE IDM.
 *
 ****************************************************************************
 */

package com.cim.idm.wmspackage.name.management.data;

import com.cim.idm.framework.orm.info.KeyInfo;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.name.management.data
 *  NAME    : NameRuleAttrDefKey.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class NameRuleAttrDefKey implements KeyInfo
{

	private String	ruleName;
	private long	position;
	
	private String	sectionName;

	public NameRuleAttrDefKey()
	{
	}

	public NameRuleAttrDefKey(String ruleName, long position)
	{
		this.ruleName = ruleName;
		this.position = position;
	}
	
	public NameRuleAttrDefKey(String ruleName, long position, String sectionName)
	{
		this.ruleName = ruleName;
		this.position = position;
		this.sectionName = sectionName;
	}

	public String getRuleName()
	{
		return ruleName;
	}

	public void setRuleName(String ruleName)
	{
		this.ruleName = ruleName;
	}

	public long getPosition()
	{
		return position;
	}

	public void setPosition(long position)
	{
		this.position = position;
	}

	public String getSectionName() {
		return sectionName;
	}

	public void setSectionName(String sectionName) {
		this.sectionName = sectionName;
	}

}
